| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
IP_GPIOINT_001_T Struct Reference
IP: GPIO Interrupt register block and driver

## Detailed Description

GPIO Interrupt register block structure.

Definition at line 50 of file gpioint_001.h.

`#include "gpioint_001.h"`

## Data Fields
__I uint32_t | Status
__I uint32_t | StatR0
__I uint32_t | StatF0
__O uint32_t | Clr0
__IO uint32_t | EnR0
__IO uint32_t | EnF0
uint32_t | RESERVED0 [3]
__I uint32_t | StatR2
__I uint32_t | StatF2
__O uint32_t | Clr2
__IO uint32_t | EnR2
__IO uint32_t | EnF2

## Field Documentation

__O uint32_t Clr0

GPIO Interrupt Clear Register 0

Definition at line 54 of file gpioint_001.h.

__O uint32_t Clr2

GPIO Interrupt Clear Register 2

Definition at line 60 of file gpioint_001.h.

__IO uint32_t EnF0

GPIO Interrupt Enable Register 0 for Falling edge

Definition at line 56 of file gpioint_001.h.

__IO uint32_t EnF2

GPIO Interrupt Enable Register 2 for Falling edge

Definition at line 62 of file gpioint_001.h.

__IO uint32_t EnR0

GPIO Interrupt Enable Register 0 for Rising edge

Definition at line 55 of file gpioint_001.h.

__IO uint32_t EnR2

GPIO Interrupt Enable Register 2 for Rising edge

Definition at line 61 of file gpioint_001.h.

uint32_t RESERVED0[3]

Definition at line 57 of file gpioint_001.h.

__I uint32_t StatF0

GPIO Interrupt Status Register 0 for Falling edge

Definition at line 53 of file gpioint_001.h.

__I uint32_t StatF2

GPIO Interrupt Status Register 2 for Falling edge

Definition at line 59 of file gpioint_001.h.

__I uint32_t StatR0

GPIO Interrupt Status Register 0 for Rising edge

Definition at line 52 of file gpioint_001.h.

__I uint32_t StatR2

GPIO Interrupt Status Register 2 for Rising edge

Definition at line 58 of file gpioint_001.h.

__I uint32_t Status

GPIO overall Interrupt Status Register

Definition at line 51 of file gpioint_001.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_ip/gpioint_001.h